#include "keys.h"
#include "stdio.h"

int keys[KC_COUNT] = {
    [KC_SHOOT]   = MOUSE_BUTTON_LEFT,
    [KC_SPECIAL]   = MOUSE_BUTTON_RIGHT,
    [KC_ULTI]   = KEY_R,
    [KC_CROUCH]  = KEY_LEFT_SHIFT,
    [KC_FREECAM] = KEY_F,
};

int key_down(KeyControl key)
{
    // NOTE: mouse button id's are less than 6, keyboard id's are over 32
    if (keys[key] <= 6)
        return IsMouseButtonDown(keys[key]);
    else
        return IsKeyDown(keys[key]);
}

int key_pressed(KeyControl key)
{
    // NOTE: mouse button id's are less than 6, keyboard id's are over 32
    if (keys[key] <= 6)
        return IsMouseButtonPressed(keys[key]);
    else
        return IsKeyPressed(keys[key]);
}

int key_released(KeyControl key)
{
    // NOTE: mouse button id's are less than 6, keyboard id's are over 32
    if (keys[key] <= 6)
        return IsMouseButtonReleased(keys[key]);
    else
        return IsKeyReleased(keys[key]);
}

void change_layout_azerty()
{
    keys[KC_UP]    = KEY_S;
    keys[KC_DOWN]  = KEY_W;
    keys[KC_LEFT]  = KEY_A;
    keys[KC_RIGHT] = KEY_D;
}

void change_layout_qwerty()
{
    keys[KC_UP]    = KEY_W;
    keys[KC_DOWN]  = KEY_S;
    keys[KC_LEFT]  = KEY_A;
    keys[KC_RIGHT] = KEY_D;
}
